Page MenuHomePhabricator

Homepage: do not display tabs unrelated to the page
Closed, ResolvedPublicBUG REPORT

Description

Presently, Homepage has tabs such "Create" or "Edit" that refer to User page which might be confusing to a user.

  • When a user does not have User page, Homepage has 'Create' tab and a star to add it to Watchlist. In fact, when a user enables Homepage from preference, non-existing User page gets added to user's Watchlist automatically.


  • When a user has User page, Homepage has all tabs that associated with User page - 'Read', 'Edit', 'Edit source', 'View history':

Details

Related Gerrit Patches:
mediawiki/extensions/GrowthExperiments : wmf/1.34.0-wmf.15Only set relevant title on mobile skin
mediawiki/extensions/GrowthExperiments : wmf/1.34.0-wmf.16Only set relevant title on mobile skin
mediawiki/extensions/GrowthExperiments : masterOnly set relevant title on mobile skin

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 29 2019, 6:37 PM
MMiller_WMF added subscribers: Catrope, kostajh, SBisson and 7 others.

I'm moving this straight to Ready for Development because it is an issue that may well be affecting a lot of users, and it is higher priority than some things in that column.

Change 526475 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] Only set relevant title on mobile skin

https://gerrit.wikimedia.org/r/526475

kostajh changed the subtype of this task from "Task" to "Bug Report".

This was inadvertently introduced in T225659. The fix is pretty straightforward; only set the relevant title to user page (a hack) on mobile so we get the overlays we want.

Change 526475 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Only set relevant title on mobile skin

https://gerrit.wikimedia.org/r/526475

Change 526610 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@wmf/1.34.0-wmf.16] Only set relevant title on mobile skin

https://gerrit.wikimedia.org/r/526610

Change 526612 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@wmf/1.34.0-wmf.15] Only set relevant title on mobile skin

https://gerrit.wikimedia.org/r/526612

Change 526610 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@wmf/1.34.0-wmf.16] Only set relevant title on mobile skin

https://gerrit.wikimedia.org/r/526610

Change 526612 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@wmf/1.34.0-wmf.15] Only set relevant title on mobile skin

https://gerrit.wikimedia.org/r/526612

Mentioned in SAL (#wikimedia-operations) [2019-07-31T16:25:02Z] <urbanecm@deploy1001> Synchronized php-1.34.0-wmf.15/extensions/GrowthExperiments/: SWAT: [[:gerrit:526612|Only set relevant title on mobile skin]] (T229263, T225659) (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2019-07-31T16:26:26Z] <urbanecm@deploy1001> Synchronized php-1.34.0-wmf.16/extensions/GrowthExperiments/: SWAT: [[:gerrit:526610|Only set relevant title on mobile skin]] (T229263, T225659) (duration: 00m 51s)

Etonkovidova closed this task as Resolved.Jul 31 2019, 11:56 PM